Main Page Class Hierarchy Compound List File List Compound Members File Members

# cmt_regexp::iterator Class Reference

`#include <cmt_regexp.h>`

List of all members.

## Public Methods
| iterator ()
| iterator (int pos, int length)
| iterator (const iterator& other)
int | operator!= (const iterator& other) const
int | operator== (const iterator& other) const
## Public Attributes
int | _pos
int | _length
## Static Public Methods
const iterator | null ()

## Constructor & Destructor Documentation

cmt_regexp::iterator::iterator ( | )

| Definition at line 1401 of file cmt_regexp.cxx.
    01402 {
    01403   _pos = 0;
    01404   _length = 0;
    01405 }

cmt_regexp::iterator::iterator ( | int pos,
| int length )

| Definition at line 1407 of file cmt_regexp.cxx.
    01408 {
    01409   _pos = pos;
    01410   _length = length;
    01411 }

cmt_regexp::iterator::iterator ( | const iterator & other )

| Definition at line 1413 of file cmt_regexp.cxx.
    01414 {
    01415   _pos = other._pos;
    01416   _length = other._length;
    01417 }

## Member Function Documentation

const cmt_regexp::iterator cmt_regexp::iterator::null ( | )`[static]`

| Definition at line 1394 of file cmt_regexp.cxx. Referenced by cmt_regexp::end(), cmt_or_node::match(), cmt_and_node::match(), cmt_end_node::match(), cmt_begin_node::match(), cmt_one_more::match(), cmt_zero_more::match(), cmt_zero_one::match(), cmt_any_node::match(), cmt_not_char_list_node::match(), cmt_char_list_node::match(), cmt_string_node::match(), cmt_char_node::match(), and cmt_node::match().
    01395 {
    01396   static const iterator null_instance (-1, -1);
    01397
    01398   return (null_instance);
    01399 }

int cmt_regexp::iterator::operator!= ( | const iterator & other ) const

| Definition at line 1419 of file cmt_regexp.cxx.
    01420 {
    01421   return ((this->_pos != other._pos) ||
    01422           (this->_length != other._length));
    01423 }

int cmt_regexp::iterator::operator== ( | const iterator & other ) const

| Definition at line 1425 of file cmt_regexp.cxx.
    01426 {
    01427   return ((this->_pos == other._pos) &&
    01428           (this->_length == other._length));
    01429 }

## Member Data Documentation

int cmt_regexp::iterator::_length

| Definition at line 30 of file cmt_regexp.h.

int cmt_regexp::iterator::_pos

| Definition at line 29 of file cmt_regexp.h.

The documentation for this class was generated from the following files:

- cmt_regexp.h
- cmt_regexp.cxx